#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 37. LXDE Desktop

- Prev

  LXPanel-0.10.1

- Next

  LXSession-0.5.5

- Up
- Home

# LXAppearance-0.6.3

## Introduction to LXAppearance

The LXAppearance package contains a desktop-independent theme switcher for GTK+.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/lxde/lxappearance-0.6.3.tar.xz

- Download MD5 sum: f10345313e2c12bad51c1b58bd46b454

- Download size: 164 KB

- Estimated disk space required: 3.2 MB

- Estimated build time: less than 0.1 SBU

### LXAppearance Dependencies

#### Required

GTK+-2.24.33

#### Recommended

dbus-glib-0.110

#### Optional

libxslt-1.1.34 with docbook-xml-4.5 and docbook-xsl-1.79.2 (to build man pages)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/lxappearance

## Installation of LXAppearance

Install LXAppearance by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --enable-dbus     &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-dbus`: This switch enables DBus support in LXAppearance which is useful for communicating with LXSession. Remove it if you are not building LXDE or have not installed dbus-glib-0.110.

`--enable-man`: Use this switch if you have installed optional dependencies and wish to rebuild the manual pages.

## Contents

Installed Program: lxappearance
Installed Libraries: None
Installed Directories: /usr/include/lxappearance and /usr/share/lxappearance

### Short Descriptions

lxappearance | is a program used to change GTK+ themes, icon themes, and fonts used by applications

Last updated on 2021-02-23 20:33:00 -0800

- Prev

  LXPanel-0.10.1

- Next

  LXSession-0.5.5

- Up
- Home